Skip to main content
GET
Get an agent message run

Authorizations

Authorization
string
header
required

Bearer API key for server-to-server access. Session auth is also supported in first-party UI flows.

Path Parameters

agentId
string
required
runId
string
required

Query Parameters

organizationId
string

Required for sign-in sessions. API keys already identify their organization.

Maximum string length: 120

Response

Current run status, reply and approvals.

agentId
string
required
threadKey
string
required
runId
string
required
threadId
string
required
status
enum<string>
required
Available options:
accepted,
running,
completed,
awaiting_approval,
failed
reply
string | null
required
approvals
object[] | null
required
error
string | null
required